Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-alt
Navigation:
Lists: gentoo-alt: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-alt@g.o
From: Fabian Groffen <grobian@g.o>
Subject: Re: Re: Gentoo Prefix on Interix 6.1
Date: Tue, 21 Apr 2009 10:29:47 +0200
On 21-04-2009 08:43:27 +0200, Markus Duft wrote:
> > > I also tried 'emerge --nodeps -1 portage' but got the same failure.
> > > It's not just sys-apps/portage that gets this error, either, it's
> > > every package.
> > >
> > > Any ideas?
> 
> just to get the list informed: solved this on IRC:
> 
> emerge -av1 --nodeps "=sys-apps/portage-2.2.00.13286-r1"
> 
> is required to get portage back up and working... current interix CD
> image portage refuses to do anythin wrt dependency resolution, or even
> parsing of EAPI=prefix ebuild (so he doesn't mask them but bails out -
> argh..)

  % env EAPIPREFIX='' emerge -1av --nodeps portage

should do it as well, which immediately updates your vdb completely.

Sorry for the hassle, but I feel we have to go through this to get
further.


-- 
Fabian Groffen
Gentoo on a different level


References:
Re: Gentoo Prefix on Interix 6.1
-- Markus Duft
Navigation:
Lists: gentoo-alt: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
Re: Gentoo Prefix on Interix 6.1
Next by thread:
Prefix keywords in main tree
Previous by date:
Re: [PREFIX] about EAPI="prefix"
Next by date:
Prefix keywords in main tree


Updated Jun 17, 2009

Summary: Archive of the gentoo-alt mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.